org.eclipse.gef.requests

## Interface CreationFactory

All Known Implementing Classes:
  SimpleFactory

    public interface CreationFactory

A factory used to create new objects.

Since:
  2.1

### Method Summary

Methods
`java.lang.Object` `getNewObject()` Returns the new object.
`java.lang.Object` `getObjectType()` Returns the new object's type.

### Method Detail

#### getNewObject

    java.lang.Object getNewObject()

Returns the new object.

Returns:
  the new object

#### getObjectType

    java.lang.Object getObjectType()

Returns the new object's type.

Returns:
  the type